Index: /trunk/LMDZ.TITAN/libf/phytitan/calc_condlh.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/calc_condlh.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/calc_condlh.F90	(revision 3497)
@@ -33,4 +33,5 @@
 !   C2H6 --> 3
 !   HCN  --> 4
+!   AC6H6--> 5
 !====================================================================    
 
@@ -56,4 +57,5 @@
 real, parameter :: mmolC2H6 = 30.e-3 ! Molar mass of C2H6 [kg.mol-1]
 real, parameter :: mmolHCN  = 27.e-3 ! Molar mass of HCN [kg.mol-1]
+real, parameter :: mmolAC6H6 = 78.e-3 ! Molar mass of AC6H6 [kg.mol-1]
 
 real, parameter :: TcCH4  = 190.56 ! Critical point of CH4  [K]
@@ -61,4 +63,5 @@
 real, parameter :: TcC2H6 = 305.35 ! Critical point of C2H6 [K]
 real, parameter :: TcHCN  = 456.70 ! Critical point of HCN [K]
+real, parameter :: TcAC6H6 = 562.10 ! Critical point of AC6H6 [K]
 
 ! Local variables :
@@ -111,5 +114,16 @@
             enddo ! End of loop on vertical layers
         enddo ! End of main loop on the horizontal grid
-
+    
+    ! AC6H6 :
+    !--------
+    else if(trim(nameOfTracer(gazs_indx(iq))) .eq. "AC6H6") then
+        
+        do ig = 1, ngrid ! Main loop on the horizontal grid
+            do l = 1, nlayer ! Loop on vertical layers
+                ftx = (1. - pt(ig,l)) / TcAC6H6
+                if (ftx .le. 1.e-3) ftx = 1.e-3
+                Lcx(ig,l,iq) = 8.314 * TcAC6H6 * (7.08 * ftx**0.354 + 10.95 * 9.9e-2 * ftx**0.456) / mmolAC6H6
+            enddo ! End of loop on vertical layers
+        enddo ! End of main loop on the horizontal grid
 
     ! HCN :
@@ -127,5 +141,5 @@
 
     else
-        write(*,*) 'Species ',trim(nameOfTracer(gazs_indx(iq))),' not considered... Check traceur.def'
+        write(*,*) 'Species ',trim(nameOfTracer(gazs_indx(iq))),' not considered in calc_condlh.F90... Check traceur.def'
         Lcx(ig,l,iq) = 0.0D0
     endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/calc_rayleigh.F90	(revision 3497)
@@ -14,5 +14,5 @@
 !     Robin Wordsworth (2010)
 !     Jeremy Leconte (2012): Added option for variable gas. Improved water rayleigh (Bucholtz 1995).
-!     Bruno de Batz de Trenquelleon (2023) : Added CH4 rayleigh.
+!     B. de Batz de Trenquelleon (2023) : Added CH4 rayleigh.
 !
 !     Called by
Index: /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 3497)
@@ -41,5 +41,5 @@
 !        --> corrk recombining case
 !     B. de Batz de Trenquelléon (2023)
-!        --> Titan's haze and could optics
+!        --> Titan's haze and coulds optics
 !        --> clear/dark columns method
 !        --> optical diagnostics
Index: /trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90	(revision 3497)
@@ -32,6 +32,6 @@
       ! Default file for nudging of zonal wind
       ! Set in physiq_mod
-      character(LEN=100),save :: nudging_file ='datagcm/SuperNudging.dat'
-      ! character(LEN=100),save :: nudging_file ='datagcm/NewNudging.dat'
+      ! character(LEN=100),save :: nudging_file ='datagcm/SuperNudging.dat'
+      character(LEN=100),save :: nudging_file ='datagcm/NewNudging.dat'
 !$OMP THREADPRIVATE(nudging_file)
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/evapCH4.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/evapCH4.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/evapCH4.F90	(revision 3497)
@@ -79,11 +79,11 @@
 real, parameter :: humCH4 = 0.4 ! Imposed surface humidity for CH4 [-]
 
-real, parameter :: Flnp = 0.08  ! Fraction occupied by lakes (North Pole)
-real, parameter :: Flsp = 0.02  ! Fraction occupied by lakes (South Pole)
-real, parameter :: Flml = 0.02  ! Fraction not infiltrated into the ground (Mid latitudes)
+real, parameter :: Flnp = 0.10  ! Fraction occupied by lakes (North Pole)
+real, parameter :: Flsp = 0.01  ! Fraction occupied by lakes (South Pole)
+real, parameter :: Flml = 1.    ! Fraction not infiltrated into the ground (Mid latitudes)
 
 real, parameter :: mmolair = 28.e-3 ! Molar mass of air [kg.mol-1]
 real, parameter :: mmolCH4 = 16.e-3 ! Molar mass of CH4 [kg.mol-1]
-real, parameter :: rhoiCH4 = 425.   ! Density of ice of CH4 [kg.m-3]
+real, parameter :: rholCH4 = 425.   ! Density of liquid CH4 [kg.m-3]
 
 real, parameter :: TcCH4  = 190.56  ! Critical point of CH4 [K]
@@ -131,6 +131,6 @@
   Tlake = tsurf(ig) - 7 ! Lakes are 2-7K less than surface.
   qsatCH4 = (1.0e5 / pplev(ig,1)) * exp(1.051e1 - 1.110e3/Tlake - 4.341e3/Tlake**2 + 1.035e5/Tlake**3 - 7.910e5/Tlake**4)
-  ! CH4 : 0.80 * qsat because of dissolution in N2
-  qsatCH4 = 0.80 * qsatCH4
+  ! CH4 : 0.70 * qsat because of dissolution in N2
+  qsatCH4 = 0.70 * qsatCH4
 
   ! Flux at the surface [kg.m-2.s-1] :
@@ -171,5 +171,5 @@
 
   ! Trend of CH4's tank [m]
-  dtankCH4 = - (newpqCH4 - pqCH4(ig,1)) * rhoair * (zzlev(ig,2) - zzlev(ig,1)) * mmolCH4 / mmolair / rhoiCH4
+  dtankCH4 = - (newpqCH4 - pqCH4(ig,1)) * rhoair * (zzlev(ig,2) - zzlev(ig,1)) * mmolCH4 / mmolair / rholCH4
 
   ! New tank depth of CH4 [m]
@@ -177,6 +177,5 @@
     tankCH4(ig) = tankCH4(ig) + dtankCH4
   else
-    !write(*,*) 'Evaporation CH4 : Empty lakes...'
-    newpqCH4 = tankCH4(ig) / (rhoair * (zzlev(ig,2) - zzlev(ig,1)) * mmolCH4 / mmolair / rhoiCH4) + pqCH4(ig,1)
+    newpqCH4 = tankCH4(ig) / (rhoair * (zzlev(ig,2) - zzlev(ig,1)) * mmolCH4 / mmolair / rholCH4) + pqCH4(ig,1)
     tankCH4(ig) = 1.e-30
   endif
Index: /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 3497)
@@ -39,5 +39,5 @@
 !             -Ehouarn Millour (june 2009) use getin routine
 !               to load parameters
-!             -Bruno de Batz de Trenquelléon (2023) minor changes and
+!             -B. de Batz de Trenquelléon (2023) minor changes and
 !               new initialisations
 !
Index: /trunk/LMDZ.TITAN/libf/phytitan/muphy_diag.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/muphy_diag.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/muphy_diag.F90	(revision 3497)
@@ -12,6 +12,6 @@
   USE tracer_h
   IMPLICIT NONE
-  REAL(kind=8), ALLOCATABLE, DIMENSION(:)     :: mmd_aer_prec   !! Aerosols precipitations (both modes) (m).
-  REAL(kind=8), ALLOCATABLE, DIMENSION(:)     :: mmd_ccn_prec   !! CCN precipitations (m).
+  REAL(kind=8), ALLOCATABLE, DIMENSION(:)     :: mmd_aer_prec   !! Aerosols precipitations (both modes) (\(kg.m^{-2}.s^{-1}\)).
+  REAL(kind=8), ALLOCATABLE, DIMENSION(:)     :: mmd_ccn_prec   !! CCN precipitations (\(kg.m^{-2}.s^{-1}\)).
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_aer_s_w    !! Spherical aerosol settling velocity (\(m.s^{-1}\)).
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_aer_f_w    !! Fractal aerosol settling velocity (\(m.s^{-1}\)).
@@ -22,5 +22,5 @@
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:,:) :: mmd_ice_fluxes !! Ice sedimentation fluxes (\(kg.m^{-2}.s^{-1}\)).
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:,:) :: mmd_gazs_sat   !! Condensible gaz saturation ratios (--).
-  REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_ice_prec   !! Ice precipitations (m).
+  REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_ice_prec   !! Ice precipitations (\(kg.m^{-2}.s^{-1}\)).
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_rc_sph     !! Spherical mode characteristic radius (m).
   REAL(kind=8), ALLOCATABLE, DIMENSION(:,:)   :: mmd_rc_fra     !! Fractal mode characteristic radius (m).
Index: /trunk/LMDZ.TITAN/libf/phytitan/optci.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 3497)
@@ -39,5 +39,5 @@
   !         --> Clean and adaptation to Titan
   !     B. de Batz de Trenquelléon (2022-2023)
-  !         --> Clean and correction to Titan
+  !         --> Clean and correction
   !         --> New optics added for Titan's clouds
   !     
@@ -282,5 +282,5 @@
                call get_haze_and_cloud_opacity(FTYPE,FTYPE,m0ccn,m3ccn,iw,dtau_ccn,ssa_ccn(nw),asf_ccn(nw))
                
-               ! Clear column (CCN, C2H2, C2H6, HCN) :
+               ! Clear column (CCN, C2H2, C2H6, HCN, AC6H6) :
                IF (CDCOLUMN == 0) THEN
                   DO iq = 2, nice
@@ -289,5 +289,5 @@
                   call get_haze_and_cloud_opacity(FTYPE,CTYPE,m0ccn,m3cld,iw,dtau_cld,ssa_cld(nw),asf_cld(nw))
                
-               ! Dark column (CCN, CH4, C2H2, C2H6, HCN) :
+               ! Dark column (CCN, CH4, C2H2, C2H6, HCN, AC6H6) :
                ELSEIF (CDCOLUMN == 1) THEN
                   DO iq = 1, nice
Index: /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 3497)
@@ -31,5 +31,5 @@
   !         --> Clean and adaptation to Titan
   !     B. de Batz de Trenquelléon (2022-2023)
-  !         --> Clean and correction to Titan
+  !         --> Clean and correction
   !         --> New optics added for Titan's clouds
   !     
@@ -313,5 +313,5 @@
                call get_haze_and_cloud_opacity(FTYPE,FTYPE,m0ccn,m3ccn,iw,dtau_ccn,ssa_ccn(nw),asf_ccn(nw))
 
-               ! Clear column (CCN, C2H2, C2H6, HCN) :
+               ! Clear column (CCN, C2H2, C2H6, HCN, AC6H6) :
                IF (CDCOLUMN == 0) THEN
                   DO iq = 2, nice
@@ -320,5 +320,5 @@
                   call get_haze_and_cloud_opacity(FTYPE,CTYPE,m0ccn,m3cld,iw,dtau_cld,ssa_cld(nw),asf_cld(nw))
                
-               ! Dark column (CCN, CH4, C2H2, C2H6, HCN) :
+               ! Dark column (CCN, CH4, C2H2, C2H6, HCN, AC6H6) :
                ELSEIF (CDCOLUMN == 1) THEN
                   DO iq = 1, nice
Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 3496)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 3497)
@@ -276,7 +276,4 @@
       real zdmassmr_col(ngrid)    ! Atmospheric Column Mass tendency for mass_redistribution (kg_of_air/m2/s).
       real zdpsrfmr(ngrid)        ! Pressure tendency for mass_redistribution routine (Pa/s).
-
-      ! Temporal tracers :
-      real ppq(ngrid,nlayer,nq)   ! Tracers (kg/kg_of_air).
       
     
@@ -842,5 +839,4 @@
 
                ! standard callcorrk
-               !call callcorrk(ngrid,nlayer,ppq,nq,qsurf,zday,                      &
                call callcorrk(ngrid,nlayer,pq,nq,qsurf,zday,                      &
                               albedo,albedo_equivalent,emis,mu0,pplev,pplay,zzlev,&
@@ -1119,18 +1115,14 @@
                ENDDO
             ENDIF
-            ! In case there is no clouds, in the troposphere the moments are  fixed to evacuate all aerosols
+            ! In case there is no clouds, in the troposphere the moments are fixed to evacuate all aerosols
             IF (.NOT. callclouds) THEN
-               DO l = 1, nlayer
-                  DO ig=1,ngrid
-                     IF (pplay(ig,l) .gt. 1000.) THEN
-                        pdq(ig,l,1)=0.
-                        pdq(ig,l,2)=0.
-                        IF (pplay(ig,l) .gt. 5000.) THEN
-                           pdq(ig,l,3)=0.
-                           pdq(ig,l,4)=0.
-                        ENDIF
-                     ENDIF
-                  ENDDO
-               ENDDO
+               WHERE (pplay(:,:) .gt. 1000.)
+                  pdq(:,:,1) = 0.
+                  pdq(:,:,2) = 0.
+               ENDWHERE
+               WHERE (pplay(:,:) .gt. 5000.)
+                  pdq(:,:,3) = 0.
+                  pdq(:,:,4) = 0.
+               ENDWHERE
             ENDIF
 #endif
@@ -1262,5 +1254,12 @@
             else
                ! Fill lakes with precipitation :
-               tankCH4(:) = tankCH4(:) + (mmd_ice_prec(:,1) / 425. * ptimestep) ! [m]
+               !if (REAL(latitude_deg(ig)) .ge. 70.0) then
+               !   tankCH4(ig) = 200.0 ! [m]
+               !else if (REAL(latitude_deg(ig)) .le. -70.0) then
+               !   tankCH4(ig) = 50.0  ! [m]
+               !else
+               !   tankCH4(ig) = 0.0   ! [m]
+               !endif
+               tankCH4(:) = tankCH4(:) + (mmd_ice_prec(:,1) / 422. * ptimestep) ! [m]
                
                ! Evaporation of lakes :
@@ -1415,74 +1414,32 @@
       enddo
 
-      ! [BBT TEMPO] Firstcall : Initialize Tracers
-      !if (firstcall) then
-      !   do ig = 1, ngrid
-      !      ! Aerosols :
-      !      !-----------
-      !      WHERE (pq(ig,:24,3) < 3.0e7) &
-      !               pdq(ig,:24,3) = (3.0e7 - pq(ig,:24,3)) / ptimestep   ! M0 aerf
-      !      WHERE (pq(ig,:24,4) < 1.5e-12) &
-      !               pdq(ig,:24,4) = (1.5e-12 - pq(ig,:24,4)) / ptimestep ! M3 aerf
-      !      ! Lakes :
-      !      !--------
-      !      if (REAL(latitude_deg(ig)) .ge. 70.0) then
-      !         tankCH4(ig) = 100.0 ! [m]
-      !      else if (REAL(latitude_deg(ig)) .le. -70.0) then
-      !         tankCH4(ig) = 20.0  ! [m]
-      !      else
-      !         tankCH4(ig) = 0.0   ! [m]
-      !      endif
-      !      ! Species :
-      !      !----------
-      !      do iq = 1, size(ices_indx)
-      !         ! CH4 :
-      !         !------
-      !         if(trim(nameOfTracer(gazs_indx(iq))) .eq. "CH4") then
-      !            WHERE (pq(ig,:,gazs_indx(iq))/rat_mmol(gazs_indx(iq)) > 0.05) &
-      !               pdq(ig,:,gazs_indx(iq)) = (0.05 * rat_mmol(gazs_indx(iq)) - pq(ig,:,gazs_indx(iq))) / ptimestep
-      !            WHERE (pq(ig,:,gazs_indx(iq))/rat_mmol(gazs_indx(iq)) < 0.014) &
-      !               pdq(ig,:,gazs_indx(iq)) = (0.014 * rat_mmol(gazs_indx(iq)) - pq(ig,:,gazs_indx(iq))) / ptimestep
-      !         endif
-      !         ! C2H2 :
-      !         !-------
-      !         if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H2") then
-      !            WHERE (pq(ig,26:,gazs_indx(iq))/rat_mmol(gazs_indx(iq)) < 3.0e-6) &
-      !               pdq(ig,26:,gazs_indx(iq)) = (5.0e-6 * rat_mmol(gazs_indx(iq)) - pq(ig,26:,gazs_indx(iq))) / ptimestep
-      !         endif
-      !         ! C2H6 :
-      !         !-------
-      !         if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H6") then
-      !            WHERE (pq(ig,26:,gazs_indx(iq))/rat_mmol(gazs_indx(iq)) < 2.0e-5) &
-      !               pdq(ig,26:,gazs_indx(iq)) = (2.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,26:,gazs_indx(iq))) / ptimestep
-      !         endif
-      !         ! HCN :
-      !         !------
-      !         if(trim(nameOfTracer(gazs_indx(iq))) .eq. "HCN") then
-      !            WHERE (pq(ig,26:,gazs_indx(iq))/rat_mmol(gazs_indx(iq)) < 8.0e-6) &
-      !               pdq(ig,26:,gazs_indx(iq)) = (8.0e-6 * rat_mmol(gazs_indx(iq)) - pq(ig,26:,gazs_indx(iq))) / ptimestep
-      !         endif
-      !      enddo
-      !   enddo
-      !endif
-      ! [BdBdT : Forcage de la photochimie]
-      do ig = 1, ngrid
-         do iq = 1, size(ices_indx)
-            ! C2H2 :
-            !-------
-            if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H2") then
-               pdq(ig,nlayer-3:,gazs_indx(iq)) = (4.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
-            endif
-            ! C2H6 :
-            !-------
-            if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H6") then
-               pdq(ig,nlayer-3:,gazs_indx(iq)) = (1.0e-4 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
-            endif
-            ! HCN :
-            !------
-            if(trim(nameOfTracer(gazs_indx(iq))) .eq. "HCN") then
-               pdq(ig,nlayer-3:,gazs_indx(iq)) = (4.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
-            endif
+      ! [Forcage de la photochimie pour les nuages]
+      if (callclouds) then
+         do ig = 1, ngrid
+            do iq = 1, size(ices_indx)
+               ! C2H2 :
+               !-------
+               if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H2") then
+                  pdq(ig,nlayer-3:,gazs_indx(iq)) = (4.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
+               endif
+               ! C2H6 :
+               !-------
+               if(trim(nameOfTracer(gazs_indx(iq))) .eq. "C2H6") then
+                  pdq(ig,nlayer-3:,gazs_indx(iq)) = (8.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
+               endif
+               ! HCN :
+               !------
+               if(trim(nameOfTracer(gazs_indx(iq))) .eq. "HCN") then
+                  pdq(ig,nlayer-3:,gazs_indx(iq)) = (2.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
+               endif
+               ! AC6H6 :
+               !--------
+               if(trim(nameOfTracer(gazs_indx(iq))) .eq. "AC6H6") then
+                  pdq(ig,nlayer-3:,gazs_indx(iq)) = (2.0e-5 * rat_mmol(gazs_indx(iq)) - pq(ig,nlayer-3:,gazs_indx(iq))) / ptimestep
+               endif
+            enddo
          enddo
-      enddo
+      endif
+
       zq(:,:,:) = pq(:,:,:) + pdq(:,:,:)*ptimestep
 
@@ -1830,9 +1787,7 @@
       ! Optical diagnostics :
       !--------------------------------------------------------
-
-      if (1.eq.0) then  ! not by default...
-
       ! Haze opacity :
-      CALL send_xios_field('ttauhv_14',zpopthv(:,:,14,2)) ! 14 --> 1.076 um
+      CALL send_xios_field('ttauhv_08',zpopthv(:,:,8,2))  ! 08 --> 1.983 um
+      CALL send_xios_field('ttauhv_15',zpopthv(:,:,15,2)) ! 15 --> 1.000 um
       CALL send_xios_field('ttauhv_20',zpopthv(:,:,20,2)) ! 20 --> 0.671 um
       CALL send_xios_field('ttauhv_23',zpopthv(:,:,23,2)) ! 23 --> 0.346 um
@@ -1841,5 +1796,6 @@
       CALL send_xios_field('ttauhi_23',zpopthi(:,:,23,2)) ! 23 --> 4.849 um
       ! Haze extinction :
-      CALL send_xios_field('kkhv_14',zpopthv(:,:,14,3))
+      CALL send_xios_field('kkhv_08',zpopthv(:,:,8,3))
+      CALL send_xios_field('kkhv_15',zpopthv(:,:,15,3))
       CALL send_xios_field('kkhv_20',zpopthv(:,:,20,3))
       CALL send_xios_field('kkhv_23',zpopthv(:,:,23,3))
@@ -1848,5 +1804,6 @@
       CALL send_xios_field('kkhi_23',zpopthi(:,:,23,3))
       ! Haze single scattering albedo :
-      CALL send_xios_field('wwhv_14',zpopthv(:,:,14,4))
+      CALL send_xios_field('wwhv_08',zpopthv(:,:,8,4))
+      CALL send_xios_field('wwhv_15',zpopthv(:,:,15,4))
       CALL send_xios_field('wwhv_20',zpopthv(:,:,20,4))
       CALL send_xios_field('wwhv_23',zpopthv(:,:,23,4))
@@ -1855,5 +1812,6 @@
       CALL send_xios_field('wwhi_23',zpopthi(:,:,23,4))
       ! Haze asymmetry parameter :
-      CALL send_xios_field('gghv_14',zpopthv(:,:,14,5))
+      CALL send_xios_field('gghv_08',zpopthv(:,:,8,5))
+      CALL send_xios_field('gghv_15',zpopthv(:,:,15,5))
       CALL send_xios_field('gghv_20',zpopthv(:,:,20,5))
       CALL send_xios_field('gghv_23',zpopthv(:,:,23,5))
@@ -1865,5 +1823,6 @@
       IF (callclouds) THEN
          ! Opacity :
-         CALL send_xios_field('ttauv_14',zpopttv(:,:,14,2)) ! 14 --> 1.076 um
+         CALL send_xios_field('ttauv_08',zpopttv(:,:,8,2))  ! 08 --> 1.983 um
+         CALL send_xios_field('ttauv_15',zpopttv(:,:,15,2)) ! 15 --> 1.000 um
          CALL send_xios_field('ttauv_20',zpopttv(:,:,20,2)) ! 20 --> 0.671 um
          CALL send_xios_field('ttauv_23',zpopttv(:,:,23,2)) ! 23 --> 0.346 um
@@ -1872,5 +1831,6 @@
          CALL send_xios_field('ttaui_23',zpoptti(:,:,23,2)) ! 23 --> 4.849 um
          ! Extinction :
-         CALL send_xios_field('kkv_14',zpopttv(:,:,14,3))
+         CALL send_xios_field('kkv_08',zpopttv(:,:,8,3))
+         CALL send_xios_field('kkv_15',zpopttv(:,:,15,3))
          CALL send_xios_field('kkv_20',zpopttv(:,:,20,3))
          CALL send_xios_field('kkv_23',zpopttv(:,:,23,3))
@@ -1879,5 +1839,6 @@
          CALL send_xios_field('kki_23',zpoptti(:,:,23,3))
          ! Single scattering albedo :
-         CALL send_xios_field('wwv_14',zpopttv(:,:,14,4))
+         CALL send_xios_field('wwv_08',zpopttv(:,:,8,4))
+         CALL send_xios_field('wwv_15',zpopttv(:,:,15,4))
          CALL send_xios_field('wwv_20',zpopttv(:,:,20,4))
          CALL send_xios_field('wwv_23',zpopttv(:,:,23,4))
@@ -1886,5 +1847,6 @@
          CALL send_xios_field('wwi_23',zpoptti(:,:,23,4))
          ! Asymmetry parameter :
-         CALL send_xios_field('ggv_14',zpopttv(:,:,14,5))
+         CALL send_xios_field('ggv_08',zpopttv(:,:,8,5))
+         CALL send_xios_field('ggv_15',zpopttv(:,:,15,5))
          CALL send_xios_field('ggv_20',zpopttv(:,:,20,5))
          CALL send_xios_field('ggv_23',zpopttv(:,:,23,5))
@@ -1900,6 +1862,4 @@
          CALL send_xios_field('dconti_17',zpoptti(:,:,17,8))
       ENDIF      
-
-      endif  ! 1.eq.0 ...
 
       ! Diagnostics for haze and clouds (4D) :