Index: trunk/LMDZ.COMMON/libf/evolution/deftank/README
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/deftank/README	(revision 3495)
+++ trunk/LMDZ.COMMON/libf/evolution/deftank/README	(revision 3498)
@@ -7,5 +7,5 @@
       (ii)  nPCM_ini -> the number of initial PCM runs (at least 2);
       (iii) nPCM -> the number of PCM runs between each PEM run (usually 2);
-      (iv)  mode -> the launching mode (0 = "processing scripts"; any other values = "submitting jobs"). The former option is usually used to process the script on a local machine while the latter is used to submit jobs on supercomputer.
+      (iv)  mode -> the launching mode (0 = "processing scripts"; any other values = "submitting jobs"). The former option is usually used to process the script on a local machine while the latter is used to submit jobs on a supercomputer.
   The script can take an argument:
       - If there is no argument, then the script initiates a PEM simulation from scratch.
Index: trunk/LMDZ.COMMON/libf/evolution/deftank/launchPEM.sh
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/deftank/launchPEM.sh	(revision 3495)
+++ trunk/LMDZ.COMMON/libf/evolution/deftank/launchPEM.sh	(revision 3498)
@@ -14,6 +14,6 @@
 ###############################################
 # Set the number of years to be simulated, either Martian or Earth years:
-n_mars_years=100
-#n_earth_years=300
+n_mars_years=100.
+#n_earth_years=300.
 
 # Set the number of initial PCM runs (>= 2):
@@ -23,5 +23,5 @@
 nPCM=2
 
-# Set the launching mode (0 = "processing scripts"; any other values = "submitting jobs"). The former option is usually used to process the script on a local machine while the latter is used to submit jobs on supercomputer:
+# Set the launching mode (0 = "processing scripts"; any other values = "submitting jobs"). The former option is usually used to process the script on a local machine while the latter is used to submit jobs on a supercomputer:
 mode=1
 ########################################################################
Index: trunk/LMDZ.COMMON/libf/evolution/deftank/lib_launchPEM.sh
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/deftank/lib_launchPEM.sh	(revision 3495)
+++ trunk/LMDZ.COMMON/libf/evolution/deftank/lib_launchPEM.sh	(revision 3498)
@@ -52,10 +52,10 @@
 
     if [ -v n_mars_years ] && [ ! -z "$n_mars_years" ]; then
-        if [ $n_mars_years -lt 1 ]; then
+        if [ $n_mars_years -lt 0. ]; then
             echo "Error: the value of 'n_mars_years' must be >0!"
             errlaunch
         fi
     elif [ -v n_earth_years ] && [ ! -z "$n_earth_years" ]; then
-        if [ $n_earth_years -lt 1 ]; then
+        if [ $n_earth_years -lt 0. ]; then
             echo "Error: the value of 'n_earth_years' must be >0!"
             errlaunch
@@ -132,5 +132,5 @@
         echo "Number of years to be simulated: $n_myear Martian years."
     elif [ -v n_earth_years ]; then
-        n_myear=$(echo "($n_earth_years/$convert_years + 0.999999)/1" | bc) # Ceiling of n_earth_years/convert_years
+        n_myear=$(echo "$n_earth_years/$convert_years" | bc -l)
         echo "Number of years to be simulated: $n_earth_years Earth years = $n_myear Martian years."
     fi
@@ -141,5 +141,5 @@
     echo "This is a chained simulation for PEM and PCM runs in $dir on $machine by $user."
     convertyears
-    i_myear=0
+    i_myear=0.
     iPEM=1
     iPCM=1
@@ -176,5 +176,5 @@
                 errlaunch
             fi
-        else # Mode: launching jobs
+        else # Mode: submitting jobs
             cp PCMrun.job PCMrun${iPCM}.job
             sed -i -E "s/($name_job[^0-9]*[0-9]*[^0-9]*)[0-9]+$/\1${iPCM}/" PCMrun${iPCM}.job
@@ -187,5 +187,5 @@
         fi
         ((iPCM++))
-        ((i_myear++))
+        i_myear = $(echo "$i_myear + 1." | bc - l)
         ((ii++))
     else
@@ -201,5 +201,5 @@
                     errlaunch
                 fi
-            else # Mode: launching jobs
+            else # Mode: submitting jobs
                 cp PCMrun.job PCMrun${iPCM}.job
                 sed -i -E "s/($name_job[^0-9]*[0-9]*[^0-9]*)[0-9]+$/\1${iPCM}/" PCMrun${iPCM}.job
@@ -209,5 +209,5 @@
             fi
             ((iPCM++))
-            ((i_myear++))
+            i_myear = $(echo "$i_myear + 1." | bc - l)
         else
             endlaunch
@@ -226,5 +226,5 @@
                 errlaunch
             fi
-        else # Mode: launching jobs
+        else # Mode: submitting jobs
             sed -i -E "s/($name_job[^0-9]*[0-9]*[^0-9]*)[0-9]+$/\1${iPEM}/" PEMrun.job
             jobID=$(eval "$submit_job PEMrun.job")
@@ -255,5 +255,5 @@
                 errlaunch
             fi
-        else # Mode: launching jobs
+        else # Mode: submitting jobs
             sed -i -E "s/($name_job[^0-9]*[0-9]*[^0-9]*)[0-9]+$/\1${iPEM}/" PEMrun.job
             jobID=$(eval "$submit_dependjob=afterok:${jobID} PEMrun.job")
Index: trunk/LMDZ.COMMON/libf/evolution/deftank/run_PEM.def
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/deftank/run_PEM.def	(revision 3495)
+++ trunk/LMDZ.COMMON/libf/evolution/deftank/run_PEM.def	(revision 3498)
@@ -39,6 +39,6 @@
 # ps_criterion = 0.15
 
-# Time step length of the PEM in Martian years? Default = 1
-# dt_pem=1
+# Time step length of the PEM in Martian years? Default = 1.
+# dt=1
 
 #---------- Subsurface parameters ----------#